# $Id: kdenetwork.spec,v 1.53 2004/06/04 20:40:10 rexdieter Exp $

%define aurox_ver 10.1
%define rel 1


%define kdelibs_ver 6:%{version}
%define monolithic 1
%define is_release 2 

# if 0, do not include kopete (possibly to be packaged separately)
#define kopete 0 
%define kopete_ver 0:0.9.0

Summary: K Desktop Environment - Network Applications
Name: 	 kdenetwork
Group:	 Applications/Internet
Epoch:	 7
Version: 3.3.1
Release: %{aurox_ver}.aur.%{rel}
Source:	 ftp://ftp.kde.org/pub/kde/stable/3.3/src/kdenetwork-3.3.1.tar.bz2
License: GPL
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

Source1: kppp.pamd
Source2: ktalk
Source4: lisarc
Source5: lisa.redhat

Patch0: kde-libtool.patch
Patch1: kdenetwork-3.1-desktop.patch
Patch2: kdenetwork-3.1-buildroot.patch
Patch4: kdenetwork-3.1.93-kppp.patch

## kde-redhat patches
# http://bugs.kde.org/show_bug.cgi?id=84450
Patch84450: kdenetwork-3.3.0-84450.patch

Requires: kdelibs >= %{kdelibs_ver}
Requires(post): /sbin/ldconfig, chkconfig
Requires(postun): /sbin/ldconfig, chkconfig
# krdc rdesktop support, recommended -- Rex
#Requires: rdesktop > 1.3.1-5

## gcc version in use? 
BuildRequires: gcc-c++
%define gcc_ver %(rpm -q --qf '%%{version}' gcc-c++ )

%if "%{gcc_ver}" < "3.2.2"
%define nowifi 1
%endif

%if "%{is_release}" != "1"
BuildRequires: autoconf >= 2.53
BuildRequires: automake >= 1.6
%endif
BuildRequires: libtool
BuildRequires: kdelibs-devel >= %{kdelibs_ver}
BuildRequires: openssl-devel
BuildRequires: jasper-devel
# wifi support (TOOD: >= 27)
%{!?nowifi:BuildRequires: wireless-tools >= 0:25}
# SLP support
BuildRequires: openslp-devel
## kopete
BuildRequires: xmms-devel
# jabber
BuildRequires: libidn-devel
# ssl/jabber, Recommended only, for now -- Rex
# Requires: qca-tls

Obsoletes: %{name}2
%if "%{?monolithic}" == "1"
Obsoletes: %{name}-libs < %{epoch}:%{version}-%{release}
Obsoletes: kdict < %{epoch}:%{version}-%{release}
Obsoletes: kit < %{epoch}:%{version}-%{release}
Obsoletes: knewsticker < %{epoch}:%{version}-%{release}
Obsoletes: korn < %{epoch}:%{version}-%{release}
%if "%{?kopete}" != "0"
Obsoletes: kopete <= %{kopete_ver} 
%endif
Obsoletes: kpf < %{epoch}:%{version}-%{release}
Obsoletes: kppp < %{epoch}:%{version}-%{release}
Obsoletes: %{name}-ppp < %{epoch}:%{version}-%{release}
Obsoletes: ksirc < %{epoch}:%{version}-%{release}
Obsoletes: ktalkd < %{epoch}:%{version}-%{release}
Obsoletes: kxmlrpcd < %{epoch}:%{version}-%{release}
Obsoletes: lisa < %{epoch}:%{version}-%{release} 
# new stuff in kde-3.1 
Obsoletes: kget < %{epoch}:%{version}-%{release}
Obsoletes: kinetd < %{epoch}:%{version}-%{release}
Obsoletes: krdc < %{epoch}:%{version}-%{release}
Obsoletes: krfb < %{epoch}:%{version}-%{release}
Provides: kget = %{epoch}:%{version}-%{release}
Provides: kinetd = %{epoch}:%{version}-%{release}
Provides: krdc = %{epoch}:%{version}-%{release}
Provides: krfb = %{epoch}:%{version}-%{release}

Provides: %{name}-libs = %{epoch}:%{version}-%{release}
Provides: kdict = %{epoch}:%{version}-%{release}
Provides: kit = %{epoch}:%{version}-%{release}
Provides: knewsticker = %{epoch}:%{version}-%{release}
Provides: korn = %{epoch}:%{version}-%{release}
%if "%{?kopete}" != "0"
Provides: kopete = %{kopete_ver}-%{release}
%endif
Provides: kpf = %{epoch}:%{version}-%{release}
Provides: kppp = %{epoch}:%{version}-%{release}
Provides: %{name}-ppp = %{epoch}:%{version}-%{release}
Provides: ksirc = %{epoch}:%{version}-%{release}
Provides: ktalkd = %{epoch}:%{version}-%{release}
Provides: kxmlrpcd = %{epoch}:%{version}-%{release}
Provides: lisa = %{epoch}:%{version}-%{release}
%endif


%description
Networking applications for the K Desktop Environment.

%package devel
Summary: Development files for kdenetwork
Group: Development/Libraries
Requires: kdelibs-devel >= %{kdelibs_ver}
Requires: %{name}-libs = %{epoch}:%{version}-%{release}
%description devel
Development files for kdenetwork. Install kdenetwork-devel if you wish
to develop or compile KDE networking applications.

%package libs
Summary: KDE Networking libraries
Group: System Environment/Libraries
Requires: kdelibs >= %{kdelibs_ver}
Obsoletes: %{name} < %{epoch}:%{version}-%{release}
Provides:  %{name} = %{epoch}:%{version}-%{release}
%description libs
Networking libraries used by KDE.
kdenetwork-libs contains libkdenetwork (network functionality for KDE)
and Mimelib (library for decoding and encoding).

%package -n kdict
Summary: A DICT (net dictionary) client for KDE
Group: Applications/Internet
Requires: %{name}-libs = %{epoch}:%{version}-%{release}
%description -n kdict
A DICT (net dictionary) client for KDE.

%package -n kget
Summary: KGet
Group: Applications/Internet
Requires: %{name}-libs = %{epoch}:%{version}-%{release}
%description -n kget
KGet.

%package -n kinetd
Summary: KDE Internet Deamon
Group: Applications/Internet
Requires: %{name}-libs = %{epoch}:%{version}-%{release}
%description -n kinetd
An Internet daemon that starts network services on demand.

%package -n kit
Summary: KIT - An AIM client for KDE
Group: Applications/Internet
Requires: %{name}-libs = %{epoch}:%{version}-%{release}
%description -n kit
An AIM (AOL Instant Messager) client for KDE

%package -n knewsticker
Summary: A News Ticker for KDE
Group: Applications/Internet
Requires: %{name}-libs = %{epoch}:%{version}-%{release}
%description -n knewsticker
KNewsticker is a KDE applet that will display current news from Internet
sites of your choice.

%package -n korn
Summary: Multi-folder new mail monitor for KDE
Group: Applications/Internet
Requires: %{name}-libs = %{epoch}:%{version}-%{release}
%description -n korn
A multi-folder new mail monitor for KDE.
KOrn will display the number of new messages in your mail
folders in kicker (the KDE panel).

%package -n kppp
Summary: K Desktop Environment - PPP Network Applications
Group: Applications/Internet
Requires: %{name}-libs = %{epoch}:%{version}-%{release}
Requires: usermode
Obsoletes: kdenetwork-ppp < %{epoch}:%{version}-%{release}
Provides: kdenetwork-ppp = %{epoch}:%{version}-%{release}
%description -n kppp
PPP Networking applications for the K Desktop Environment.
Install kppp if you intend to use KDE on a machine using
PPP networking.

%package -n krdc
Summary: Remote Desktop Connection for KDE
Group: Applications/Internet
Requires: %{name}-libs = %{epoch}:%{version}-%{release}
%description -n krdc
Remote Desktop Connection for KDE.

%package -n krfb
Summary: Desktop Sharing for KDE
Group: Applications/Internet
Requires: kinetd = %{epoch}:%{version}-%{release}
%description -n krfb
Desktop Sharing for KDE.

%package -n ktalkd
Summary: Talk (chat) protocol implementation for KDE
Group: Applications/Internet
Requires: %{name}-libs = %{epoch}:%{version}-%{release}
%description -n ktalkd
An implementation of the Talk protocol for KDE.

%package -n ksirc
Summary: IRC client for KDE
Group: Applications/Internet
Requires: %{name}-libs = %{epoch}:%{version}-%{release}
%description -n ksirc
An IRC (Internet Relay Chat) client for KDE.

%package -n kxmlrpcd
Summary: Remote scripting capability for KDE
Group: Applications/Internet
Requires: %{name}-libs = %{epoch}:%{version}-%{release}
%description -n kxmlrpcd
KXmlRpcD allows you to execute DCOP calls from other machines using
the XmlRpc protocol.

%package -n lisa
Summary: LAN browser
Group: Applications/Internet
Requires: %{name}-libs = %{epoch}:%{version}-%{release}
%description -n lisa
LISa is intended to provide a kind of "network neighbourhood" but only
relying on the TCP/IP protocol stack, no smb or whatever.

%package -n kpf
Summary: KDE Public Fileserver
Group: Applications/Internet
Requires: %{name}-libs = %{epoch}:%{version}-%{release}
%description -n kpf
KPF is an easy to use public file server controlled from the KDE panel.
Simply drag a file or directory to the KPF button to share it.


%prep
%if "%{?is_release}" != "0"
%setup -q -n %{name}-%{version}
%else
%setup -q -n %{name}
%endif

#patch0 -p1 -b .libtool
%patch1 -p1 -b .dt
%patch2 -p1 -b .buildroot
%patch4 -p1 -b .kppp

## kde-redhat patches
# http://bugs.kde.org/show_bug.cgi?id=84450
%patch84450 -p1 -b .kget

%if "%{is_release}" != "1"
  make -f admin/Makefile.common cvs
%endif


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

FLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
export CFLAGS="$FLAGS"
export CXXFLAGS="$FLAGS"

%if "%{?kopete}" == "0"
export DO_NOT_COMPILE="$DO_NOT_COMPILE kopete"
%endif

%{?nowifi:export DO_NOT_COMPILE="$DO_NOT_COMPILE wifi"}

%configure \
  --program-prefix="%{?_program_prefix}" \
  --includedir=%{_includedir}/kde \
  --with-extra-includes=/usr/kerberos/include \
  --disable-rpath \
  %{?debug:  --enable-debug --enable-warnings } \
  %{!?debug: --disable-dependency-tracking --disable-debug --disable-warnings --enable-final } 

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install%{!?debug_package:-strip} DESTDIR=$RPM_BUILD_ROOT

# Make symlinks relative
pushd $RPM_BUILD_ROOT%{_docdir}/HTML/en
for i in *; do
   [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
done
popd

install -p -m644 -D %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/kppp

## fixup pam.d entries for possibly missing pam modules
## (timestamp < rh73, selinux < fc2)
pushd $RPM_BUILD_ROOT/etc/pam.d
for pam_svc in * ; do
  for pam_mod in pam_timestamp.so pam_selinux.so ; do
    if [ ! -x /lib/security/${pam_mod} ]; then
      grep -v $pam_mod $pam_svc > ${pam_cvs}.new && mv ${pam_cvs}.new $pam_svc
    fi
  done
done
popd

# Run kppp through consolehelper
mkdir -p $RPM_BUILD_ROOT%{_sbindir}
mv $RPM_BUILD_ROOT%{_bindir}/kppp $RPM_BUILD_ROOT%{_sbindir}/
ln -s consolehelper $RPM_BUILD_ROOT%{_bindir}/kppp
mkdir -p $RPM_BUILD_ROOT/etc/security/console.apps
cat >$RPM_BUILD_ROOT/etc/security/console.apps/kppp <<EOF
USER=root
PROGRAM=%{_sbindir}/kppp
SESSION=true
EOF

# ktalk
install -D -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/xinetd.d/ktalk

# Add lisa startup script
install -D -m644 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/lisarc
install -D %{SOURCE5}	 $RPM_BUILD_ROOT%{_initrddir}/lisa

## remove unpackaged files


# Add lisa startup script
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
install -m 0644 %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/lisarc
install -m 0755 %{SOURCE5} $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/lisa


%post
/sbin/ldconfig
/sbin/chkconfig --add lisa

%preun
/sbin/ldconfig
if [ $1 -eq 0 ]; then
  /sbin/chkconfig --del lisa
fi


%files devel
%defattr(-,root,root)
%{_includedir}/kde/*

%if "%{?monolithic}" == "1"
%files
%defattr(-,root,root)
%config /etc/security/console.apps/kppp
%config /etc/pam.d/kppp
%config %{_sysconfdir}/lisarc
%config %{_initrddir}/lisa
%config %{_sysconfdir}/xinetd.d/ktalk
%lang(en) %doc %{_docdir}/HTML/en/*
%{_bindir}/*
%{_sbindir}/*
%{_datadir}/applnk/.hidden/*.desktop
%{_datadir}/applications/kde/*
%{_datadir}/apps/*
%{_datadir}/config/*
%{_datadir}/config.kcfg/*
%{_datadir}/icons/*/*/*/*
%{_datadir}/mimelnk/*/*.desktop
%{_datadir}/services/*
%{_datadir}/servicetypes/*
%{_datadir}/sounds/*
%{_libdir}/kde3/*
%if "%{?kopete}" != "0"
%{_libdir}/kconf_update_bin/*
%endif
%{_libdir}/*.la
%{_libdir}/*.so*

%else

%files libs
%defattr(-,root,root)

%files -n kdict
%defattr(-,root,root)
%{_bindir}/kdict
%{_datadir}/applications/kde/*kdict.desktop
%{_datadir}/apps/kdict
%{_libdir}/kde3/*dict*
%{_datadir}/apps/kicker/applets/kdictapplet.desktop
%{_datadir}/icons/*/*/apps/kdict.png
%lang(en) %doc %{_docdir}/HTML/en/kdict

%files -n kget
%{_bindir}/kget
%{_datadir}/applications/kde/*kget.desktop
%{_datadir}/apps/kget
%{_datadir}/apps/khtml/kpartplugins/kget*
%{_datadir}/mimelnk/*/*kget*.desktop

%files -n kinetd
%{_datadir}/apps/kinetd
%{_datadir}/services/kded/kinetd.desktop
%{_datadir}/servicetypes/kinetd*.desktop
%{_libdir}/kde3/*kinetd.*

%files -n kit
%defattr(-,root,root)
%{_bindir}/kit
%{_datadir}/applications/kde/*kit.desktop
%{_datadir}/apps/kit
%{_datadir}/icons/*/*/apps/kit.png
%lang(en) %doc %{_docdir}/HTML/en/kit

%files -n knewsticker
%defattr(-,root,root)
%{_bindir}/knewsticker*
%{_libdir}/kde3/*newsticker*
%{_libdir}/libkntsrcfilepropsdlg*.*
%{_datadir}/applications/kde/*newsticker*.desktop
%{_datadir}/apps/kconf_update/*newsticker.upd
%{_datadir}/apps/kconf_update/knt*
%{_datadir}/apps/kicker/applets/*newsticker.desktop
%{_datadir}/apps/knewsticker
%{_datadir}/icons/*/*/apps/knewsticker*
%{_datadir}/services/kntsrcfilepropsdlg.desktop
%lang(en) %doc %{_docdir}/HTML/en/knewsticker

%files -n korn
%defattr(-,root,root)
%{_bindir}/korn
%{_datadir}/applications/kde/*KOrn.desktop
%{_datadir}/icons/*/*/apps/korn*
%lang(en) %doc %{_docdir}/HTML/en/korn

%files -n kppp
%defattr(-,root,root)
%{_bindir}/kppp*
%{_sbindir}/kppp
%{_datadir}/applications/kde/*ppp*
%{_datadir}/apps/kppp
%{_datadir}/icons/*/*/*/*ppp*
%lang(en) %doc %{_docdir}/HTML/en/kppp
%config /etc/security/console.apps/kppp
%config /etc/pam.d/kppp

%files -n krdc
%{_bindir}/krdc
%{_datadir}/applnk/*/krdc.desktop
%{_datadir}/apps/krdc

%files -n krfb
%{_bindir}/krfb
%{_datadir}/applications/kde/*krfb.desktop
%{_datadir}/apps/krfb
%{_datadir}/services/kinetd_krfb.desktop
%{_libdir}/kde3/*krfb*
%lang(en) %doc %{_docdir}/HTML/en/krfb

%files -n ksirc
%defattr(-,root,root)
%{_bindir}/?sirc
%{_libdir}/*irc*
%{_datadir}/applications/kde/*ksirc.desktop
%{_datadir}/apps/ksirc
%config %{_datadir}/config/ksircrc
%lang(en) %doc %{_docdir}/HTML/*/ksirc
%{_datadir}/icons/*/*/apps/ksirc*

%files -n ktalkd
%defattr(-,root,root)
%{_bindir}/mail.local
%{_bindir}/*talk*
%{_libdir}/kde3/*kcm_ktalkd*.*
%{_datadir}/applications/kde/*kcmktalkd.desktop
%{_datadir}/icons/*/*/apps/ktalkd*
%{_datadir}/sounds/ktalkd.wav
%config %{_datadir}/config/ktalkdrc
%lang(en) %doc %{_docdir}/HTML/en/ktalkd
%config %{_sysconfdir}/xinetd.d/ktalk

%files -n kxmlrpcd
%defattr(-,root,root)
%{_bindir}/kxmlrpcd
%{_libdir}/kde3/*kcm_*xml*
%{_libdir}/*xml*
%{_datadir}/services/kxmlrpcd.desktop

%files -n lisa
%defattr(-,root,root)
%{_bindir}/*lisa
%config %{_sysconfdir}/lisarc
%config %{_sysconfdir}/rc.d/init.d/lisa
%{_libdir}/kde3/*kcm_lanbrowser*.*
%{_libdir}/kde3/kio_lan*.*
%{_datadir}/applications/kde/*kiolan*
%{_datadir}/applications/kde/*lisa*
%{_datadir}/apps/konqueror/dirtree/remote/lan.desktop
%{_datadir}/apps/lisa
%{_datadir}/services/*lan.protocol
%lang(en) %doc %{_docdir}/HTML/en/lisa

%files -n kpf
%defattr(-,root,root)
%{_libdir}/kde3/kpf*
%{_datadir}/apps/kicker/applets/kpfapplet.desktop
%{_datadir}/icons/*/*/*/kpf.png
%lang(en) %doc %{_docdir}/HTML/en/kpf

%endif


%clean
rm -rf $RPM_BUILD_ROOT


%changelog
* Wed Oct 20 2004 Aurox Team <aurox@aurox.org> 7:3.3.1-10.1.aur.1


* Fri Aug 20 2004 Rex Dieter <rexdieter at sf.net> 0:3.3.0-1.1.kde
- fix kget crasher (kde bug #84450)

* Mon Aug 16 2004 Rex Dieter <rexdieter at sf.net> 0:3.3.0-1.0.kde
- 3.3.0
- disable wifi support for rh73/gcc296.

* Tue Aug 10 2004 Rex Dieter <rexdieter at sf.net> 0:3.3.0-0.0.rc2.kde
- 3.3.0rc2

* Wed Jul 28 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.92-0.4.kde
- Req: qca-tls (kopete SSL/jabber support)

* Tue Jul 27 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.92-0.3.kde
- BR: libidn-devel (for kopete's jabber support)

* Tue Jul 27 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.92-0.2.kde
- remove Requires: rdesktop (and make it only a recommended update)

* Mon Jul 26 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.92-0.1.kde
- Requires: rdesktop-1.3.1-5.fdr.0 (patched)

* Fri Jul 23 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.92-0.0.kde
- 3.2.92

* Fri Jun 04 2004 Rex Dieter <rexdieter at sf.net> 0:3.2.3-1.0.kde
- 3.2.3

* Fri Apr 30 2004 Rex Dieter <rexdieter at sf.net. 7:3.2.2-1.0.kde
- FC2

* Mon Apr 05 2004 Rex Dieter <rexdieter at sf.net> 7:3.2.2-0.fdr.0
- 3.2.2

* Mon Mar 22 2004 Rex Dieter <rexdieter at sf.net> 7:3.2.1-0.fdr.6
- respin krdc patch (kde bug #69637)

* Tue Mar 16 2004 Rex Dieter <rexdieter at sf.net> 7:3.2.1-0.fdr.5
- respin
- sanitize pam.d entries 

* Thu Mar 11 2004 Rex Dieter <rexdieter at sf.net> 7:3.2.1-0.fdr.4
- KGet patch(es): (kde bugs #75737, #75944)

* Mon Mar 08 2004 Rex Dieter <rexdieter at sf.net> 7:3.2.1-0.fdr.3
- krdc: keyboard input lost (kde bug #69637)

* Thu Mar 04 2004 Rex Dieter <rexdieter at sf.net> 7:3.2.1-0.fdr.2
- respin

* Wed Mar 03 2004 Rex Dieter <rexdieter at sf.net> 7:3.2.1-0.fdr.1
- remove kmail/knode bits (having been moved to kdepim)

* Mon Mar 01 2004 Rex Dieter <rexdieter at sf.net> 7:3.2.1-0.fdr.0
- 3.2.1
- include kopete.

* Thu Feb 26 2004 Rex Dieter <rexdieter at sf.net> 7:3.2.0-0.fdr.5
- %%post/%%postun: chkconfig --add/--remove lisa
- gcc34 patch

* Thu Feb 12 2004 Rex Dieter <rexdieter at sf.net> 7:3.2.0-0.fdr.4
- BuildRequires: wireless-tools >= 25

* Tue Feb 10 2004 Rex Dieter <rexdieter at sf.net> 7:3.2.0-0.fdr.3
- BuildRequires: wireless-tools (for wifi support)

* Fri Feb 06 2004 Rex Dieter <rexdieter at sf.net> 7:3.2.0-0.fdr.2
- unpackaged files (kopete !=0 case)
- remove kopete (now that 0.8.0 is available separately)
- ack, kdeutils has kgpg, not kdenetwork.

* Wed Feb 04 2004 Rex Dieter <rexdieter at sf.net> 7:3.2.0-0.fdr.1
- include kopete (for now).

* Tue Jan 27 2004 Rex Dieter <rexdieter at sf.net> 7:3.2.0-0.fdr.0
- 3.2.0

* Thu Jan 22 2004 Rex Dieter <rexdieter at sf.net> 7:3.1.95-0.fdr.1
- BuildRequires: jasper-devel
- 3.1.95

* Mon Dec 15 2003 Rex Dieter <rexdieter at sf.net> 7:3.1.94-0.fdr.0
- 3.1.94

* Fri Nov 21 2003 Rex Dieter <rexdieter at sf.net> 7:3.1.4-0.fdr.2
- rebuild to fix libqt-mt.la issue.

* Mon Nov 10 2003 Rex Dieter <rexdieter at sf.net> 7:3.1.4-0.fdr.1
- rebuild against qt-3.2.2

* Sat Sep 13 2003 Rex Dieter <rexdieter at sf.net> 7:3.1.4-0.fdr.0
- 3.1.4

* Mon Aug 18 2003 Rex Dieter <rexdieter at sf.net> 7:3.1.3-0.fdr.2
- kmail replyTo patch (kde bug #62919)

* Mon Aug 11 2003 Rex Dieter <rexdieter at sf.net> 7:3.1.3-0.fdr.1
- fix kppp for rh73.

* Tue Jul 11 2003 Rex Dieter <rexdieter at sf.net> 7:3.1.3-0.fdr.0
- 3.1.3
- %%lang'ify %%docs

* Mon May 19 2003 Rex Dieter <rexdieter at sf.net> 7:3.1.2-0.fdr.0
- 3.1.2
- fedora-style versioning.
- add cvs tags to specfile.

* Mon Apr 21 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-1.1
- remove remaining references to kotalk
- fix double-listings from %%file list
- remove shared-lib .la files.

* Tue Apr 15 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-1.0
- rebuild for release.

* Mon Mar 24 2003 Rex Dieter <rexdieter at sf.net> 3.1.1-0.0
- 3.1.1 release.

* Mon Mar 03 2003 Rex Dieter <rexdieter at sf.net> 3.1-3.1
- Try harder to fix knewsticker bug (kde-redhat #679575, kde #54261)

* Thu Feb 20 2003 Rex Dieter <rexdieter at sf.net> 3.1-3.0
- kmail Requires: kdebase
- sync to rawhide's 3.1-3
- use epochs in Obsoletes/Provides/Requires. 

* Fri Feb 14 2003 Than Ngo <than@redhat.com> 3.1-3
- add patch to start lisa daemon correct from initscript, #84257
- dependency issue, #81430

* Sun Feb 09 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.4
- move *.la files to main pkg.

* Fri Feb 07 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.3
- knewsticker->configure does nothing.
- slp doesn't seem to work.

* Mon Feb 03 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.2
- kde-redhat versioning
- add slp support (see www.openslp.org for details).

* Wed Jan 29 2003 Rex Dieter <rexdieter at sf.net> 3.1-1.1
- add build-host detection to specfile.
- pkg missing files
- move some (most) .la files from -devel to main (fixes krfb
  kcontrol module).

* Tue Jan 28 2003 Rex Dieter <rexdieter at sf.net> 3.1-1
- 3.1 release.
